Drivers NVIDIA

1. Drivers NVIDIA

Felipe
Feliputo

(usa Manjaro Linux)

Enviado em 23/06/2021 - 20:48h

Primeiro lugar: tem uma aba do hamachi mas nao tem da nvidia/drivers, se tiver me avisa. nao acredito que eu sou tao cego
Segundo lugar: eu nao sabia q nao era pra usar instaladores nas pastas raiz
Terceiro lugar: vtnc nvidia so faz [*****] nem avisa
Quarto lugar: eu tentei uma vez instalar os driver da nvidia pelo arquivo q baixa pelo site deles, mas no manjaro tem o mhwd que gerencia isso tudo, daí eu instalei e pá, ja fiz isso em outras distros mas o problema é que manjaro é manjado e eu nao manjava, nao funcionou, dai eu tentei pelo mhwd e nao funcionou, nao ta funcionando, nao vai funcionar
ele nao sobre-escreve os arquivos q ja existem do site da nvidia e quando eu excluo, instalo e reinicio o pc eu tenho q reinstalar o video-linux pq ele trava na parte de carregar a interface
esse é o erro:
> Installing video-hybrid-intel-nvidia-prime...
Sourcing /etc/mhwd-x86_64.conf
Has lib32 support: true
Sourcing /var/lib/mhwd/db/pci/graphic_drivers/hybrid-intel-nvidia-prime/MHWDCONFIG
Processing classid: 0300
Sourcing /var/lib/mhwd/scripts/include/0300
:: Synchronizing package databases...
core is up to date
extra is up to date
community is up to date
multilib is up to date
resolving dependencies...
looking for conflicting packages...

Packages (6) lib32-nvidia-utils-465.31-1 linux414-nvidia-465.31-4 linux510-nvidia-465.31-6 linux54-nvidia-465.31-6 nvidia-prime-1.0-4 nvidia-utils-465.31-1

Total Installed Size: 578.19 MiB

:: Proceed with installation? [Y/n]
checking keyring...
checking package integrity...
loading package files...
checking for file conflicts...
error: failed to commit transaction (conflicting files)
nvidia-utils: /usr/lib/libEGL_nvidia.so.0 exists in filesystem
nvidia-utils: /usr/lib/libGLESv1_CM_nvidia.so.1 exists in filesystem
nvidia-utils: /usr/lib/libGLESv2_nvidia.so.2 exists in filesystem
nvidia-utils: /usr/lib/libGLX_nvidia.so.0 exists in filesystem
nvidia-utils: /usr/lib/libcuda.so.1 exists in filesystem
nvidia-utils: /usr/lib/libnvcuvid.so.1 exists in filesystem
nvidia-utils: /usr/lib/libnvidia-cfg.so.1 exists in filesystem
nvidia-utils: /usr/lib/libnvidia-encode.so.1 exists in filesystem
nvidia-utils: /usr/lib/libnvidia-fbc.so.1 exists in filesystem
nvidia-utils: /usr/lib/libnvidia-ifr.so.1 exists in filesystem
nvidia-utils: /usr/lib/libnvidia-ml.so.1 exists in filesystem
nvidia-utils: /usr/lib/libnvidia-opticalflow.so.1 exists in filesystem
nvidia-utils: /usr/lib/libnvidia-ptxjitcompiler.so.1 exists in filesystem
nvidia-utils: /usr/lib/libnvoptix.so.1 exists in filesystem
Errors occurred, no packages were upgraded.
Error: pacman failed!
Error: script failed!

e eu acho q o nvidia x settings fica nisso tmb
o nouveau ja ta em blacklist desde sempre
sla falta de informaçao da nisso :(